Name: alterator-firsttime
Version: 0.1
Release: alt4

Packager: Stanislav Ievlev <inger@altlinux.org>

BuildArch: noarch

Source:%name-%version.tar

Requires: alterator >= 4.7-alt3 alterator-sh-functions
Requires: alterator-l10n >= 1.6-alt8
Conflicts: alterator-lookout < 1.6-alt6
Conflicts: alterator-fbi < 5.8-alt1

%add_findreq_skiplist %_datadir/install2/postinstall.d/*

Summary: first time system setup
License: GPL
Group: System/Configuration/Other

BuildPreReq: alterator >= 4.7-alt3

%description
first time system setup

%prep
%setup -q

%build
%make_build

%install
%makeinstall

install -Dpm644 ahttpd-firsttime.conf %buildroot%_sysconfdir/ahttpd/ahttpd-firsttime.conf
install -Dpm755 ahttpd-firsttime.init %buildroot/%_initrddir/ahttpd-firsttime

%post
%post_service ahttpd-firsttime

%preun
%preun_service ahttpd-firsttime

%files
%_sysconfdir/ahttpd/*.conf
%_initrddir/ahttpd-firsttime
%_datadir/alterator/ui/firsttime/*
%_datadir/alterator/interfaces/guile/workflow/*
%_alterator_backend3dir/*
%_datadir/install2/postinstall.d/*
%_libexecdir/alterator/hooks/firsttime.d

%changelog
* Thu Apr 30 2009 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- add firsttime.d hook
- notify about browsers without javascript support (closes: #19818)

* Fri Apr 24 2009 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- remove unused "use-module (alterator ahttpd woo)"

* Thu Feb 26 2009 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- move locale setup out from framework
- include jquery.cookie

* Thu Feb 19 2009 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial build
